Subject: Re: Feedback on the configuration I am considering

From: Keith Smith via PLUG-discuss <[email-masked]>
Date: Mon, 09 Jun 2025 19:29:17 -0700

On 2025-06-09 14:42, Steve Litt via PLUG-discuss wrote:
> On Sun, 08 Jun 2025 19:09:27 -0700
> Keith Smith via PLUG-discuss <[email-masked]> wrote:
> 
>> Hi,
>> 
>> Currently I am running Kubuntu on a 10 year old Dell that I upgraded
>> to 16GB of RAM (Years ago) and an SSD drive.
>> 
>> I have an old laptop running Win10 that came with a NVMe SSD and I
>> have since upgraded to 16G of RAM and I added a 500G laptop hard
>> drive (I have several just laying around).
>> 
>> 
>> On the Win box I installed VirtualBox  which allows me to create
>> different vhosts (lamp).  I also use the Win box for recording videos
>> as well editing.
> 
> Can you find Linux based programs to create and edit videos? This would
> be an excellent time to free yourself of Windows for good.
> 

There is a ton of them.

>> 
>> I wrote an Amazon S3 PHP SDK script that allows me to backup my
>> production websites.
>> 
>> I was thinking at some point in the future I was going to build a
>> monster computer to do all these things.
>> 
>> Now I am thinking I can buy a simple shared hosting account and
>> offload the VBox. I can make a subdomain for each of my projects and
>> configure my Amazon S3 PHP SDK script to backup each project
> 
> I doubt any kind of "cloud" (somebody else's computer) will compete
> with what you call a "monster computer".

It's the support and work.  It is BIG pain to create a LAMP stack Ubuntu 
VM.  I'm still analyzing my next step.

> 
> Given that you've been working just fine with a couple old computers
> with 16GB RAM and 500 to 1000GB of storage, I imagine a regular 6 core,
> 12 thread computer with 64 GB RAM, 1TB NVMe and 10TB 72RPM spinning
> rust will do you just fine.

I tend to agree.

> I put one of those together in 2020 for
> about $2200, but today such a computer is pretty much a commodity, so
> you can probably do it a lot cheaper. I normally keep my computers for
> 5 years, so that would be less than $500 a year I spent on my computer.
> You appear to keep you computers twice that interval, and the computer
> would probably cost you $1800...

Interesting point ==>> (would have been less before all this
> tariff bullshit),

You and I have seen this movie before.  We were a victim of super high 
inflation in our youth. The reported 40% inflation over the past 4 years 
has stolen from my household, I figure we have lost upwards of 
$1500/month in buying power.

I have not experienced anything I would id as a result of tariffs.

> so you'll be paying $180/year for what you would
> think is a blindingly fast computer that you can still be using 10
> years from now, long after your current two computers are unable to run
> a current browser.

Using old stuff is a necessity.  Too little cash flow/buying power.

> 
> And as far as your shared hosting accounts, those things get sold, and
> the new owners destroy them, and your data becomes unavailable to you
> but available to bad guys, and the price of shared hosting will 
> probably
> increase with time.
> 

No doubt.  I've seen some slowdowns, however I have not seen any 
lost/compromised data.

> Oh, and backups: If your win10 machine has a USB3 port, convert to
> Linux, plug in a (non-seagate) USB driven hard disk, and use rsync.

What do you mean by non-seagate?  Have you had problems with Seagate 
drives?

Good advice.  I have more than a few Seagate Backup Plus USB drives.

> 
>> 
>> I still need to record and edit videos.
> 
> If you absolutely, positively can't record and edit videos on Linux,
> then you need to buy a pretty good Win11 machine, and take the hit when
> Win12 replaces Win11.

I can do all I need on Linux.

> 
>> I'm thinking I only need a simple laptop at that point - 4 cores, 32G
>> of RAM, and an SSD drive, running Kubuntu.
> 
> You can probably buy that hardware used, for under $600.00. Extra
> points if you have a desktop format so you can actually repair,
> maintain and enhance it.
> 

Thanks for the advice!!

Keith

> SteveT
> 
> Steve Litt
> Spring 2023 featured book: Troubleshooting Techniques of the Successful
> Technologist http://www.troubleshooters.com/techniques
> 
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss